namespace Blink.Backoffice.Services.PcmDb.Entities;

public partial class Kasa
{
    public decimal KasaId { get; set; }

    public decimal MagId { get; set; }

    public short Numer { get; set; }

    public string Nazwa { get; set; } = null!;

    public short Rodzaj { get; set; }

    public string Typ { get; set; } = null!;

    public short Aktywny { get; set; }

    public string Stanowisko { get; set; } = null!;

    public string? NrUnikatowy { get; set; }

    public virtual ICollection<DokKasa> DokKasa { get; set; } = new List<DokKasa>();

    public virtual ICollection<KasKod> KasKod { get; set; } = new List<KasKod>();

    public virtual ICollection<KasPar> KasPar { get; set; } = new List<KasPar>();

    public virtual ICollection<KasTow> KasTow { get; set; } = new List<KasTow>();

    public virtual ICollection<KasaFormaPlatn> KasaFormaPlatn { get; set; } = new List<KasaFormaPlatn>();

    public virtual Magazyn Mag { get; set; } = null!;

    public virtual ICollection<Paragon> Paragon { get; set; } = new List<Paragon>();

    public virtual ICollection<ProfilKasa> ProfilKasa { get; set; } = new List<ProfilKasa>();

    public virtual ICollection<Zlecenie> Zlecenie { get; set; } = new List<Zlecenie>();

    public virtual ICollection<Asort> As { get; set; } = new List<Asort>();
}
